Subject: [rohc] A mode bits, ROHC

From: "Simon Kamenkovich" <[email-masked]>
Date: Mon, 13 Aug 2007 08:37:54 -0700

Dear all

In section 3.3 RFC 4815 mentions that IR and IR-DYN contains mode bits,
But where exactly, it is not specied in the packets format???

Thanks in advance
Simon
Broadcom

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: "Sarkar, Biplab" <[email-masked]>
Date: Tue, 14 Aug 2007 10:45:59 +0530

I believe you are referring to the Mode bit in the RTP's dynamic part.
RFC3095[5.7.7.6]

Thanks
Biplab

---

From: "Sarkar, Biplab" <[email-masked]>
Date: Thu, 16 Aug 2007 22:11:03 +0530

L-E,

There seems to be some ambiguity over the "mode" attribute for
Profile-0x0002. Since "mode" is not present in IR or IR-DYN pkts, the
statements made in RFC3095[5.6] needs some re-wording for
Profile-0x0002. 

Thanks

Biplab

-----Original Message-----
From: Sarkar, Biplab [mailto:[email-masked]] 
Sent: Tuesday, August 14, 2007 10:46 AM
To: Simon Kamenkovich
Cc: Chow-Sit Tsang-Ping; [email-masked]; [email-masked]
Subject: Re: [rohc] A mode bits, ROHC

Thanks
Biplab

Dear all

Thanks in advance
Simon
Broadcom

---

From: "Kristofer Sandlund (LU/EAB)" <[email-masked]>
Date: Fri, 17 Aug 2007 08:30:19 +0200

Hi Biplab,

Clearly, the IR/IR-DYN packets for the non-RTP profiles in 3095 cannot
carry mode bits, so therefore these packet types cannot be used for
the parts of the transitions requiring mode bits. You can still switch
modes via the UOR-2-ext3 packet (see 5.11.3), so just use those instead.
Design-wise, it is not the most brilliant part of 3095, but I see no
need for any adjustments to existing text.

/Kristofer

Sarkar, Biplab <mailto:[email-masked]> wrote on den 16
augusti 2007 18:41 :

> L-E,
> 
> 
> 
> There seems to be some ambiguity over the "mode" attribute
> for Profile-0x0002. Since "mode" is not present in IR or
> IR-DYN pkts, the statements made in RFC3095[5.6] needs some
> re-wording for Profile-0x0002.
> 
> 
> 
> Thanks
> 
> Biplab
> 
> 
> 
> 
> 
> I believe you are referring to the Mode bit in the RTP's
> dynamic part. RFC3095[5.7.7.6]
> 
> Thanks
> Biplab
>